GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations
expected_engine.h File Reference
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
struct | gridfire::expectations::EngineError
struct | gridfire::expectations::EngineIndexError
struct | gridfire::expectations::StaleEngineError

## Namespaces
namespace | gridfire
namespace | gridfire::expectations

## Enumerations
enum class | gridfire::expectations::EngineErrorTypes { gridfire::expectations::FAILURE , gridfire::expectations::INDEX , gridfire::expectations::STALE }
enum class | gridfire::expectations::StaleEngineErrorTypes { gridfire::expectations::SYSTEM_RESIZED }